Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class ReferenceNode

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protege.ui.ReferenceNode

All Implemented Interfaces:
  TreeNode

    public class ReferenceNode

extends LazyTreeNode

Tree node that models a "reference" between two frames. The reference is either through a single slot or though all slots.

Constructor Summary
`ReferenceNode(LazyTreeNode parent, Frame frame, Slot slot)`

Method Summary
`LazyTreeNode` | `createNode(Object o)`
`int` | `getChildObjectCount()`
`Collection` | `getChildObjects()`
`Comparator` | `getComparator()`
`protected void` | `notifyNodeChanged()`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, dispose, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, reload, reload, setIsLoaded, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReferenceNode

    public ReferenceNode(LazyTreeNode parent,
                         Frame frame,
                         Slot slot)

Method Detail

### createNode

    public LazyTreeNode createNode(Object o)

  Specified by:
    `createNode` in class `LazyTreeNode`

### getChildObjectCount

    public int getChildObjectCount()

  Specified by:
    `getChildObjectCount` in class `LazyTreeNode`

### getChildObjects

    public Collection getChildObjects()

  Specified by:
    `getChildObjects` in class `LazyTreeNode`

### getComparator

    public Comparator getComparator()

  Specified by:
    `getComparator` in class `LazyTreeNode`

### notifyNodeChanged

    protected void notifyNodeChanged()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.